> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Material



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/subcontract-orders/{order_id}/issue-material
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/subcontract-orders/{order_id}/issue-material:
    post:
      tags:
        - Subcontract
      summary: Issue Material
      operationId: issue_material_api_v1_subcontract_orders__order_id__issue_material_post
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            title: Order Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MovementRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MovementResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    MovementRequest:
      properties:
        stockLotId:
          type: string
          title: Stocklotid
        stockLocationId:
          type: string
          title: Stocklocationid
        qty:
          type: number
          title: Qty
        uom:
          anyOf:
            - type: string
            - type: 'null'
          title: Uom
        unitCost:
          anyOf:
            - type: number
            - type: 'null'
          title: Unitcost
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
      type: object
      required:
        - stockLotId
        - stockLocationId
        - qty
      title: MovementRequest
    MovementResponse:
      properties:
        orderId:
          type: string
          title: Orderid
        ledgerEntryId:
          type: string
          title: Ledgerentryid
        status:
          type: string
          title: Status
        qtyIssued:
          type: number
          title: Qtyissued
        qtyReceived:
          type: number
          title: Qtyreceived
      type: object
      required:
        - orderId
        - ledgerEntryId
        - status
        - qtyIssued
        - qtyReceived
      title: MovementResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````